Bug 1676509 (CVE-2019-7577)

Summary: CVE-2019-7577 SDL: buffer over-read in SDL_LoadWAV_RW in audio/SDL_wave.c
Product: [Other] Security Response Reporter: Dhananjay Arunesh <darunesh>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: CLOSED ERRATA QA Contact:
Severity: low Docs Contact:
Priority: low    
Version: unspecifiedCC: ppisar, tpelka, twoerner, wtaymans
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2020-09-29 21:57:27 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On: 1676510, 1716198, 1716209    
Bug Blocks: 1676783    

Description Dhananjay Arunesh 2019-02-12 13:37:55 UTC
SDL (Simple DirectMedia Layer) through 1.2.15 and 2.x through 2.0.9 has a buffer
over-read in SDL_LoadWAV_RW in audio/SDL_wave.c.

Reference:
https://bugzilla.libsdl.org/show_bug.cgi?id=4492

Comment 1 Dhananjay Arunesh 2019-02-12 13:38:05 UTC
Created SDL tracking bugs for this issue:

Affects: fedora-all [bug 1676510]

Comment 3 errata-xmlrpc 2020-09-29 19:23:35 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2020:3868 https://access.redhat.com/errata/RHSA-2020:3868

Comment 4 Product Security DevOps Team 2020-09-29 21:57:27 UTC
This bug is now closed. Further updates for individual products will be reflected on the CVE page(s):

https://access.redhat.com/security/cve/cve-2019-7577

Comment 5 errata-xmlrpc 2020-11-04 02:29:05 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8

Via RHSA-2020:4627 https://access.redhat.com/errata/RHSA-2020:4627